org.apache.poi.xssf.usermodel

## Class XSSFRelation

- java.lang.Object
- - org.apache.poi.ooxml.POIXMLRelation
  - - org.apache.poi.xssf.usermodel.XSSFRelation

-     public final class XSSFRelation
      extends POIXMLRelation

  Defines namespaces, content types and normal file names / naming patterns, for the well-known XSSF format parts.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ooxml.POIXMLRelation

      `POIXMLRelation.NoArgConstructor, POIXMLRelation.PackagePartConstructor, POIXMLRelation.ParentPartConstructor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XSSFRelation` | `ACTIVEX_BINS`
    `static XSSFRelation` | `ACTIVEX_CONTROLS`
    `static XSSFRelation` | `CALC_CHAIN`
    `static XSSFRelation` | `CHART`
    `static XSSFRelation` | `CHARTSHEET`
    `static XSSFRelation` | `CTRL_PROP_RECORDS`
    `static XSSFRelation` | `CUSTOM_PROPERTIES`
    `static XSSFRelation` | `CUSTOM_XML_MAPPINGS`
    `static XSSFRelation` | `DIALOG_SHEET_BIN`
    `static XSSFRelation` | `DRAWINGS`
    `static XSSFRelation` | `EXTERNAL_LINKS`
    `static XSSFRelation` | `IMAGE_BMP`
    `static XSSFRelation` | `IMAGE_DIB`
    `static XSSFRelation` | `IMAGE_EMF`
    `static XSSFRelation` | `IMAGE_EPS`
    `static XSSFRelation` | `IMAGE_GIF`
    `static XSSFRelation` | `IMAGE_JPEG`
    `static XSSFRelation` | `IMAGE_PICT`
    `static XSSFRelation` | `IMAGE_PNG`
    `static XSSFRelation` | `IMAGE_TIFF`
    `static XSSFRelation` | `IMAGE_WMF`
    `static XSSFRelation` | `IMAGE_WPG`
    `static XSSFRelation` | `IMAGES`
    `static XSSFRelation` | `INTL_MACRO_SHEET_BIN`
    `static XSSFRelation` | `MACRO_ADDIN_WORKBOOK`
    `static XSSFRelation` | `MACRO_SHEET_BIN`
    `static XSSFRelation` | `MACRO_TEMPLATE_WORKBOOK`
    `static XSSFRelation` | `MACROS_WORKBOOK`
    `static java.lang.String` | `NS_CHART`
    `static java.lang.String` | `NS_DRAWINGML`
    `static java.lang.String` | `NS_SPREADSHEETML`
    `static XSSFRelation` | `OLEEMBEDDINGS`
    `static XSSFRelation` | `PACKEMBEDDINGS`
    `static XSSFRelation` | `PIVOT_CACHE_DEFINITION`
    `static XSSFRelation` | `PIVOT_CACHE_RECORDS`
    `static XSSFRelation` | `PIVOT_TABLE`
    `static XSSFRelation` | `PRINTER_SETTINGS`
    `static XSSFRelation` | `SHARED_STRINGS`
    `static XSSFRelation` | `SHEET_COMMENTS`
    `static XSSFRelation` | `SHEET_HYPERLINKS`
    `static XSSFRelation` | `SINGLE_XML_CELLS`
    `static XSSFRelation` | `STYLES`
    `static XSSFRelation` | `TABLE`
    `static XSSFRelation` | `TEMPLATE_WORKBOOK`
    `static XSSFRelation` | `THEME`
    `static XSSFRelation` | `VBA_MACROS`
    `static XSSFRelation` | `VML_DRAWINGS`
    `static XSSFRelation` | `WORKBOOK`
    `static XSSFRelation` | `WORKSHEET`
    `static XSSFRelation` | `XLSB_BINARY_WORKBOOK`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XSSFRelation` | `getInstance(java.lang.String rel)` Get POIXMLRelation by relation type

    - ### Methods inherited from class org.apache.poi.ooxml.POIXMLRelation

      `getContents, getContentType, getDefaultFileName, getFileName, getFileNameIndex, getNoArgConstructor, getPackagePartConstructor, getParentPartConstructor, getRelation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WORKBOOK

          public static final XSSFRelation WORKBOOK

    - #### MACROS_WORKBOOK

          public static final XSSFRelation MACROS_WORKBOOK

    - #### TEMPLATE_WORKBOOK

          public static final XSSFRelation TEMPLATE_WORKBOOK

    - #### MACRO_TEMPLATE_WORKBOOK

          public static final XSSFRelation MACRO_TEMPLATE_WORKBOOK

    - #### MACRO_ADDIN_WORKBOOK

          public static final XSSFRelation MACRO_ADDIN_WORKBOOK

    - #### XLSB_BINARY_WORKBOOK

          public static final XSSFRelation XLSB_BINARY_WORKBOOK

    - #### WORKSHEET

          public static final XSSFRelation WORKSHEET

    - #### CHARTSHEET

          public static final XSSFRelation CHARTSHEET

    - #### SHARED_STRINGS

          public static final XSSFRelation SHARED_STRINGS

    - #### STYLES

          public static final XSSFRelation STYLES

    - #### DRAWINGS

          public static final XSSFRelation DRAWINGS

    - #### VML_DRAWINGS

          public static final XSSFRelation VML_DRAWINGS

    - #### CHART

          public static final XSSFRelation CHART

    - #### CUSTOM_XML_MAPPINGS

          public static final XSSFRelation CUSTOM_XML_MAPPINGS

    - #### SINGLE_XML_CELLS

          public static final XSSFRelation SINGLE_XML_CELLS

    - #### TABLE

          public static final XSSFRelation TABLE

    - #### IMAGES

          public static final XSSFRelation IMAGES

    - #### IMAGE_EMF

          public static final XSSFRelation IMAGE_EMF

    - #### IMAGE_WMF

          public static final XSSFRelation IMAGE_WMF

    - #### IMAGE_PICT

          public static final XSSFRelation IMAGE_PICT

    - #### IMAGE_JPEG

          public static final XSSFRelation IMAGE_JPEG

    - #### IMAGE_PNG

          public static final XSSFRelation IMAGE_PNG

    - #### IMAGE_DIB

          public static final XSSFRelation IMAGE_DIB

    - #### IMAGE_GIF

          public static final XSSFRelation IMAGE_GIF

    - #### IMAGE_TIFF

          public static final XSSFRelation IMAGE_TIFF

    - #### IMAGE_EPS

          public static final XSSFRelation IMAGE_EPS

    - #### IMAGE_BMP

          public static final XSSFRelation IMAGE_BMP

    - #### IMAGE_WPG

          public static final XSSFRelation IMAGE_WPG

    - #### SHEET_COMMENTS

          public static final XSSFRelation SHEET_COMMENTS

    - #### SHEET_HYPERLINKS

          public static final XSSFRelation SHEET_HYPERLINKS

    - #### OLEEMBEDDINGS

          public static final XSSFRelation OLEEMBEDDINGS

    - #### PACKEMBEDDINGS

          public static final XSSFRelation PACKEMBEDDINGS

    - #### VBA_MACROS

          public static final XSSFRelation VBA_MACROS

    - #### ACTIVEX_CONTROLS

          public static final XSSFRelation ACTIVEX_CONTROLS

    - #### ACTIVEX_BINS

          public static final XSSFRelation ACTIVEX_BINS

    - #### MACRO_SHEET_BIN

          public static final XSSFRelation MACRO_SHEET_BIN

    - #### INTL_MACRO_SHEET_BIN

          public static final XSSFRelation INTL_MACRO_SHEET_BIN

    - #### DIALOG_SHEET_BIN

          public static final XSSFRelation DIALOG_SHEET_BIN

    - #### THEME

          public static final XSSFRelation THEME

    - #### CALC_CHAIN

          public static final XSSFRelation CALC_CHAIN

    - #### EXTERNAL_LINKS

          public static final XSSFRelation EXTERNAL_LINKS

    - #### PRINTER_SETTINGS

          public static final XSSFRelation PRINTER_SETTINGS

    - #### PIVOT_TABLE

          public static final XSSFRelation PIVOT_TABLE

    - #### PIVOT_CACHE_DEFINITION

          public static final XSSFRelation PIVOT_CACHE_DEFINITION

    - #### PIVOT_CACHE_RECORDS

          public static final XSSFRelation PIVOT_CACHE_RECORDS

    - #### CTRL_PROP_RECORDS

          public static final XSSFRelation CTRL_PROP_RECORDS

    - #### CUSTOM_PROPERTIES

          public static final XSSFRelation CUSTOM_PROPERTIES

    - #### NS_SPREADSHEETML

          public static final java.lang.String NS_SPREADSHEETML

      See Also:
        Constant Field Values

    - #### NS_DRAWINGML

          public static final java.lang.String NS_DRAWINGML

      See Also:
        Constant Field Values

    - #### NS_CHART

          public static final java.lang.String NS_CHART

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static XSSFRelation getInstance(java.lang.String rel)

      Get POIXMLRelation by relation type
      Parameters:
        `rel` - relation type, for example, `http://schemas.openxmlformats.org/officeDocument/2006/relationships/image`
      Returns:
        registered POIXMLRelation or null if not found

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.